Package org.flowable.cmmn.model

# Class CmmnDiEdge

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnDiEdge

All Implemented Interfaces:
  `HasExtensionAttributes`

public class CmmnDiEdge extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `cmmnElementRef`
  `protected GraphicInfo`
  `labelGraphicInfo`
  `protected GraphicInfo`
  `sourceDockerInfo`
  `protected String`
  `targetCmmnElementRef`
  `protected GraphicInfo`
  `targetDockerInfo`
  `protected List<GraphicInfo>`
  `waypoints`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CmmnDiEdge()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addWaypoint(GraphicInfo graphicInfo)`
  `String`
  `getCmmnElementRef()`
  `GraphicInfo`
  `getLabelGraphicInfo()`
  `GraphicInfo`
  `getSourceDockerInfo()`
  `String`
  `getTargetCmmnElementRef()`
  `GraphicInfo`
  `getTargetDockerInfo()`
  `List<GraphicInfo>`
  `getWaypoints()`
  `void`
  `setCmmnElementRef(String cmmnElementRef)`
  `void`
  `setLabelGraphicInfo(GraphicInfo labelGraphicInfo)`
  `void`
  `setSourceDockerInfo(GraphicInfo sourceDockerInfo)`
  `void`
  `setTargetCmmnElementRef(String targetCmmnElementRef)`
  `void`
  `setTargetDockerInfo(GraphicInfo targetDockerInfo)`
  `void`
  `setWaypoints(List<GraphicInfo> waypoints)`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cmmnElementRef

    protected String cmmnElementRef

  - ### targetCmmnElementRef

    protected String targetCmmnElementRef

  - ### sourceDockerInfo

    protected GraphicInfo sourceDockerInfo

  - ### targetDockerInfo

    protected GraphicInfo targetDockerInfo

  - ### waypoints

    protected List<GraphicInfo> waypoints

  - ### labelGraphicInfo

    protected GraphicInfo labelGraphicInfo

- ## Constructor Details

  - ### CmmnDiEdge

    public CmmnDiEdge()

- ## Method Details

  - ### getCmmnElementRef

    public String getCmmnElementRef()

  - ### setCmmnElementRef

    public void setCmmnElementRef(String cmmnElementRef)

  - ### getTargetCmmnElementRef

    public String getTargetCmmnElementRef()

  - ### setTargetCmmnElementRef

    public void setTargetCmmnElementRef(String targetCmmnElementRef)

  - ### getSourceDockerInfo

    public GraphicInfo getSourceDockerInfo()

  - ### setSourceDockerInfo

    public void setSourceDockerInfo(GraphicInfo sourceDockerInfo)

  - ### getTargetDockerInfo

    public GraphicInfo getTargetDockerInfo()

  - ### setTargetDockerInfo

    public void setTargetDockerInfo(GraphicInfo targetDockerInfo)

  - ### addWaypoint

    public void addWaypoint(GraphicInfo graphicInfo)

  - ### getWaypoints

    public List<GraphicInfo> getWaypoints()

  - ### setWaypoints

    public void setWaypoints(List<GraphicInfo> waypoints)

  - ### getLabelGraphicInfo

    public GraphicInfo getLabelGraphicInfo()

  - ### setLabelGraphicInfo

    public void setLabelGraphicInfo(GraphicInfo labelGraphicInfo)